﻿.my-small-dropdown .k-dropdownlist {
    height: 24px;
}
.my-small-dropdown .k-input-inner {
    height: 24px;
    white-space: nowrap;
}
.my-small-dropdown .k-button {
    height: 24px;
}
.my-small-dropdown .k-input-value-text {
    font-size: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: block;
}
.my-small-dropdown-popup .k-list-item {
    font-size: 12px;
    min-height: 24px;
}
.my-small-dropdown-popup .k-searchbox .k-input-inner {
    font-size: 12px !important;
    height: 24px;
}

/* hide hierarchy expand column */
.no-show-hierarchy .k-hierarchy-cell,
.no-show-hierarchy .k-hierarchy-col {
    display: none !important;
}

/* show hierarchy expand column */
.show-hierarchy .k-hierarchy-cell,
.show-hierarchy .k-hierarchy-col {
    width: 20px !important;
    display: table-cell !important;
}

.remove-gap {
    padding-left: 0;
}

/* ====== Set Numeric text box ====== */
.small-numeric {
    height: 24px;
}
/* ขนาดตัวอักษรใน input */
.small-numeric .k-input-inner {
    font-size: 12px;
    padding: 0px 5px; /* ปรับ padding → ความสูงเปลี่ยนตาม */
    height: 24px;
}
/* ปุ่ม spin (▲▼) */
.small-numeric .k-spinner-increase,
.small-numeric .k-spinner-decrease {
    font-size: 12px;
}

.sty-grid-system-have-button .k-pager-input {
    display: none !important;
}

/* Color border Check box */
.mycustom-checkbox .k-checkbox {
    border-color: rgba(64, 64, 64, 0.3);
    background-color: #ffffff;
}
.mycustom-checkbox .k-checkbox:disabled, .k-checkbox.k-disabled {
    outline: none;
    cursor: default;
    opacity: 0.5;
    filter: grayscale(0.1);
    pointer-events: none;
    box-shadow: none;
    background-color: #e0e0e0;
}
/* checked + disabled */
.mycustom-checkbox .k-checkbox:checked:disabled,
.mycustom-checkbox .k-checkbox:checked[disabled] {
    border-color: #3d57a5 !important;
    background-color: #3200E6 !important;
    opacity: 0.6 !important;
}

/* set disable control */
.sty-input-small:disabled,
.sty-input-small[disabled],
.sty-input-small.k-disabled {
    background-color: #e0e0e0 !important;
    color: black !important;
    border-color: rgba(0, 0, 0, 0.08);
}
.sty-input-small-textarea:disabled,
.sty-input-small-textarea[disabled],
.sty-input-small-textarea.k-disabled {
    background-color: #e0e0e0 !important;
    color: black !important;
    border-color: rgba(0, 0, 0, 0.08);
}
.sty-dropdownlist:disabled,
.sty-dropdownlist[disabled],
.sty-dropdownlist.k-disabled {
    background-color: #e0e0e0 !important;
    color: black !important;
    border-color: rgba(0, 0, 0, 0.08);
}

.custom-color-tab {
    background-color: #EB692B !important;
    color: white !important;
}

.row-red td {
    color: red;
    font-weight: 500;
}

.row-green td {
    color: green;
    font-weight: 500;
}

.row-blue td {
    color: royalblue;
    font-weight: 500;
}

.k-grid tr.row-green:hover td,
.k-grid tr.row-green:hover .k-table-td {
    color: #FFFFFF !important;
}

.k-grid tr.row-blue:hover td,
.k-grid tr.row-blue:hover .k-table-td {
    color: #FFFFFF !important;
}

.k-grid tr.row-red:hover td,
.k-grid tr.row-red:hover .k-table-td {
    color: #FFFFFF !important;
}

.style-text-red:disabled,
.style-text-red.k-disabled,
.style-text-red .k-input-inner {
    color: red !important;
}

.style-text-green:disabled,
.style-text-green.k-disabled,
.style-text-green .k-input-inner {
    color: green !important;
}

.small-header-text {
    font-size: 12px;
    font-weight: bold;
}

/* ====== Check box GEO ====== */
.my-custom-checkbox-grid {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 0 8px;
    align-items: center;
    max-width: 100%;
    row-gap: 0px;
}

.line-cell-checkbox {
    display: flex;
    align-items: center;
    margin: 0;
    cursor: pointer;
}

.check-cell-checkbox {
    display: flex;
    justify-content: center;
}

.label-cell-checkbox {
    font-size: 12px;
    line-height: 1.2;
    padding-top: 5px;
    padding-bottom: 5px;
}

/* ====== Coupa Status ====== */
.coupa-status-text-red {
    color: red;
    font-weight: bold;
}

.coupa-status-green {
    color: green;
    font-weight: bold;
}

.coupa-status-black {
    color: black;
    font-style: italic;
}

.disable-btn.k-button {
    background-color: #011956;
    color: #FFFFFF;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
    margin: 0 5px;
    pointer-events: none;
    opacity: 0.4;
}
.disable-btn.k-button:hover {
    opacity: 0.7;
}

.icon-disabled {
    pointer-events: none;
    opacity: 0.4;
    cursor: default;
}

/* ====== Progress bar ====== */
.sty-progressbar {
    display: flex;
    gap: 5px;
    align-items: center;
}
.sty-progressbar-color .k-progressbar .k-selected {
    background-color: #011956;
    border-color: #011956;
    color: white;
}
.sty-progressbar-color-green .k-progressbar .k-selected {
    background-color: green;
    border-color: green;
    color: white;
}
.sty-progressbar-color-red .k-progressbar .k-selected {
    background-color: red;
    border-color: red;
    color: white;
}

/* Status for blacklist and active */
.badge {
    padding: 4px 12px;
    border-radius: 16px;
    font-size: 0.85rem;
    font-weight: 500;
}
.badge-blacklist {
    background: #fee1e1;
    color: red;
    border: 1px solid red;
    font-size: 12px;
}
.badge-unblacklist {
    background: #e6f4ea;
    color: #1e7e34;
    border: 1px solid #c3e6cb;
    font-size: 12px;
}
.badge-active {
    background: #e6f4ea;
    color: #1e7e34;
    border: 1px solid #c3e6cb;
    font-size: 12px;
}
.badge-unactive {
    background: #fee1e1;
    color: red;
    border: 1px solid red;
    font-size: 12px;
}

/* height fit with content */
.my-small-dropdown-popup-normal.k-animation-container,
.my-small-dropdown-popup-normal .k-animation-container {
    height: auto !important;
}
.my-small-dropdown-popup-normal .k-popup,
.my-small-dropdown-popup-normal .k-list-container,
.my-small-dropdown-popup-normal .k-popup > .k-list,
.my-small-dropdown-popup-normal .k-list-container > .k-list {
    height: auto !important;
}
.my-small-dropdown-popup-normal .k-list-item {
    font-size: 12px;
    min-height: 24px;
}
.my-small-dropdown-popup-normal .k-searchbox .k-input-inner {
    font-size: 12px !important;
    height: 24px;
}

/* ตกแต่ง Checkbox ของ Telerik ให้เด่นขึ้น */
.k-checkbox {
    border-width: 1px !important;
    border-color: #ccc !important;
}

/* Button Checked */
.isChecked-btn.k-button {
    background-color: #1e7e34 !important;
    border-color: #1e7e34 !important;
}
.isChecked-btn.k-button:hover {
    background-color: #1e7e34 !important;
    border-color: #1e7e34 !important;
}

/* Use in Row render */
.HighlightCell-Red {
    background-color: red !important;
    color: #FFFFFF;
}

/* hide tool bar */
.hide-toolbar .k-grid-toolbar {
    display: none !important;
}

.EditorBorderRedMandatory .k-editor {
    border-color: red !important;
}

.small-red-text {
    font-size: 12px;
    color: red;
}

/* set read only for text box/ text area */
.readonly-style {
    opacity: 0.7;
    background-color: #e0e0e0 !important;
    border-color: rgba(0, 0, 0, 0.08) !important;
}

/* บังคับให้ขึ้นบรรทัดใหม่เมื่อเจอ \n */
.myGCS-noti .k-notification-content {
    white-space: pre-line;
    font-size: 16px !important;
}